# GeoSentinel Library
**GeoSentiel** is a set of functions to help download and manipulate sentinel products.
its is currently developed by the **Remote Perception Group** in [**CentroGeo**](geoint.mx).

# Installation
**GeoSentinel** was developed under Debian GNU/Linux, using Bash, Python and other programming languages. 

## Requirements

## Dependencies

# Modules

## APISentinel
This class makes easier the usage of [sentinel API](https://github.com/sentinelsat/sentinelsat).
### Dependencies
```bash
sudo pip install sentinelsat
sudo apt-get install libgdal-dev
```
### Example
```python
sentinel = APISentinel('username',  'password')
products = sentinel.getProducts("POLYGON((-89.99450683593753 21.279137394108716,-89.13757324218751 21.2996106049456,-89.30236816406251 20.68418377935238,-90.0494384765625 20.715015145512098,-89.99450683593753 21.279137394108716))", ('20151219', date(2015,12,29)), {"platformname":"Sentinel-2"})
print len(products)
```
## Download

## L2A Products
